LS48(1)

NAME
scsh - a Scheme shell

SYNOPSIS
scsh [switch arg1 ... argn]

DESCRIPTION
scsh is an implementation of the Scheme shell. It is implemented as a heap image which is interpreted by the Scheme 48 virtual machine. scsh is a stub program that starts the virtual machine on the scsh heap image.

The scsh command loop reads Scheme expressions, evaluates them, and prints their results. The Scheme 48 system is an R5RS system with many additional features. It also executes commands, which are identified by an initial comma character. Type the command ,help to receive a list of available commands, or see the documentation for Scheme 48.

Scsh's switch argument can be one of

-s script

--

Either of these switches terminates argument parsing; following arguments are available from scsh as the string list produced by
    (command-line-arguments)
The -s script switch causes scsh to run in batch mode, first loading the script and then exiting. The default error exception handler terminates the process. If the -s switch is not specified, scsh operates in interactive mode. It invokes the Scheme 48 top-level read-eval-print loop, from which the user can enter forms to be evaluated. In interactive mode, the default error handler invokes an interactive debugging breakpoint. The -- switch is used to pass arguments to an interactive scsh. It simply terminates argument parsing, causing following arguments to be bound to
    (command-line-arguments)

FILES

/usr/pkg/lib/scsh/doc/
    The detailed documentation for scsh. Contains much more information than this broken manpage.

/usr/pkg/lib/scsh/scshvm
    the virtual machine.

/usr/pkg/lib/scsh/scsh.image
    the default image.

BUGS
Too big; starts up too slowly.